/// <reference types="node" />
import { HostConfig } from 'react-reconciler';
import RQElementContainer from './RQElementContainer';
declare type Type = string;
declare type HostContext = RQElementContainer;
declare type Instance = RQElementContainer;
declare type TextInstance = Instance;
declare type Container = RQElementContainer;
declare type HydratableInstance = Instance;
declare type PublicInstance = Qml.QmlElement;
declare type Props = object;
interface UpdatePayload {
}
interface ChildSet {
}
declare type TimeoutHandle = NodeJS.Timeout;
declare type NoTimeout = number;
declare type RQHostConfig = HostConfig<Type, Props, Container, Instance, TextInstance, HydratableInstance, PublicInstance, HostContext, UpdatePayload, ChildSet, TimeoutHandle, NoTimeout>;
declare type RQHostConfigPatched = RQHostConfig & {
    scheduleTimeout(handler: (...args: any[]) => void, timeout: number): TimeoutHandle | NoTimeout;
    cancelTimeout(handle: TimeoutHandle | NoTimeout): void;
};
declare const hostConfig: RQHostConfigPatched;
export default hostConfig;
